import { Action } from 'pretur.redux';
import { SubQuery } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
import Includer from './Includer';
import Filterer from './Filterer';
import Attributor from './Attributor';
import Orderer from './Orderer';
export default class SubQuerier extends UniqueReducible {
    private _model;
    private _alias;
    private _includer;
    private _filterer;
    private _attributor;
    private _orderer;
    constructor(subquery: SubQuery);
    model: string;
    alias: string;
    includer: Includer;
    filterer: Filterer;
    attributor: Attributor;
    orderer: Orderer;
    plain: SubQuery;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
